using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace datepicker_sample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			List<Item> items = new List<Item>();
			items.Add(new Item() { SomeDate = DateTime.Now });
			items.Add(new Item() { SomeDate = DateTime.Now  + TimeSpan.FromDays(1) });

			this.RadGridView1.ItemsSource = items;
		}
	}

	public class Item
	{
		private DateTime someDate;

		public DateTime SomeDate
		{
			get { return someDate; }
			set 
			{
				someDate = value;
				Debug.WriteLine(String.Format("SomeDate property now set to {0}", value));
			}
		}

	}
}
